'Can't check compatibility' error in the Jira Server mobile app

お困りですか?

アトラシアン コミュニティをご利用ください。

コミュニティに質問

この記事はアトラシアンのサーバー製品にのみ適用されます。クラウドとサーバー製品の違いについてはこちらをご確認ください。

問題

The Jira Server mobile app throws the following errors when user tries to connect it to an existing Jira Software (Server or Data Center) site. 

Can't check compatibility

A custom filter may be preventing unauthenticated requests to your server. Talk to your admin to resolve this.

原因

  • The Jira Server mobile app needs to check that you're running a compatible version of Jira Software before it can log you in. If you have configured a custom filter to prevent unauthenticated requests to your server, Jira will be unable to complete this check. 
  • Also, if you're using a proxy server, it might be filtering some headers or cookies required by the mobile app

ソリューション

To resolve this issue, you will need to configure your custom filter on the proxy configuration to allow <jira-base-url>/server-info to pass through without authentication. 

Additionally, you might need to allowlist headers and cookies required by the app. For more info, see Problems with logging in because of missing headers or cookies.

tip/resting Created with Sketch.

Not an admin? Send this page to your Jira administrator and ask them to investigate the issue for you.

最終更新日: 2019 年 12 月 3 日

この内容はお役に立ちましたか?

はい
いいえ
この記事についてのフィードバックを送信する
Powered by Confluence and Scroll Viewport.